Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003894TestLinkExport/Importpublic2010-10-14 05:402010-11-14 12:07
Reportervolker.herren 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 RC 1 
Fixed in Version1.9 (Prague) 
Summary0003894: ????
DescriptionAs given in the notes of issue http://mantis.testlink.org/view.php?id=3421#c11502 [^]
the config file was modified, web server restarted.
But still I cannot find the new button...
Please give a hint on where it should appear.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0003421closedfman Test Case Execution feature - Add Export All test Case in TEST SUITE button 

-  Notes
(0011889)
difool (reporter)
2010-10-14 06:15

You should reopen previous issue instead of adding one. And give them your os/browser information. It could be important.

Have you check in Event view of TL if nothing appears ?
(0011890)
fman (administrator)
2010-10-14 08:41

reporting this way is absolutely wrong, because
1. subject is a puzzle.
2. issues are not done ask for confirm.

where do you do not see the button ?

follow the minimal principles of issue reporting:

give detailed steps to reproduce.
button is not a button but an icon on test plan management screen
(0011892)
volker.herren (reporter)
2010-10-14 09:05

Ok. The Icon is there. Unfortunately the original issue did not say where to expect a button or an icon....
But:
The export format is not what is stated in the original issue, it is completely different.
Steps to reproduce:
1) set $tlCfg->exec_cfg->show_testsuite_contents = ENABLED;
2) Add a test plan, add build to test plan, add test cases to test plan
3) Go to "TestPlan Management" and export the test plan to XML
4) Expected result as stated in http://mantis.testlink.org/view.php?id=3421#c11502 [^]
5) Actual result:
<?xml version="1.0" encoding="UTF-8"?>


<testplan>
    <name></name>
    <platforms>
             <platform><name></name>
                   <internal_id></internal_id>
         </platform>
       </platforms>
        
<executables>
    <link>
        <platform>
            <name></name>
        </platform>
        <testcase>
            <name></name>
            <externalid></externalid>
            <version></version>
            <execution_order></execution_order>
        </testcase>
</link>

    
</executables>

</testplan>

So only the testcase names and version are exported, but not the expected results or test steps....
This is completely useless for offline testing...
You need the complete testcase information (Summary, Steps, Expected Results) in order to to something with it....
(0011894)
fman (administrator)
2010-10-14 09:49

- Our fault -> minor glick on issue indicating release on RC1
Format is coerent with explained on related issue: 3649: Export/Import Test Plan
please check always all related issues.

- format will be updated when released on 1.9 GA
(0012482)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-14 05:40 volker.herren New Issue
2010-10-14 06:15 difool Note Added: 0011889
2010-10-14 08:41 fman Note Added: 0011890
2010-10-14 08:45 fman Assigned To => fman
2010-10-14 08:45 fman Status new => feedback
2010-10-14 09:05 volker.herren Note Added: 0011892
2010-10-14 09:05 volker.herren Status feedback => assigned
2010-10-14 09:49 fman Note Added: 0011894
2010-10-14 09:49 fman Summary New feature (see issue 0003421) does not work? => ????
2010-11-06 14:15 fman Relationship added related to 0003421
2010-11-06 14:23 fman Status assigned => resolved
2010-11-06 14:23 fman Fixed in Version => 1.9 (Prague)
2010-11-06 14:23 fman Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012482
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker